<?php
/*
Plugin Name: YouTube Player
Plugin URI: http://www.ttweb.ru/youtube-player-widgets.html
Description: Плагин - Виджет для размещения видео плеера YouTube в sidebar вашей темы. Настройки плеера находятся по пути: Внещний вид - Виджеты - YouTube Player. Доступные настройки виджета: название блока, код видео, ширина плеера, высота плеера. FAQ - <a href="http://www.ttweb.ru/youtube-player-widgets.html" target="_blank">здесь</a>.
Version: 1.0
Author: ZetRider
Author URI: http://www.ttweb.ru/
*/
/*  Copyright 2011  zetrider  (email: zetrider@bk.ru)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<?php

load_plugin_textdomain('youtube-player-widget', 'wp-content/plugins/youtube-player-widget/lang');

function youtube_widget( $args ) {
	extract($args);
	echo $before_widget; 
	echo $before_title;
	echo get_option('youtube_widget_title'); 
	echo $after_title; 
?>

<object width="<?php echo get_option('youtube_widget_width'); ?>" height="<?php echo get_option('youtube_widget_height'); ?>"><param name="movie" value="http://www.youtube.com/v/<?php echo get_option('youtube_widget_code'); ?>&hl=en&fs=1&rel=0&border=0"></param>
<param name="allowFullScreen" value="true"></param>
<param name="allowscriptaccess" value="always"></param>
<embed src="http://www.youtube.com/v/<?php echo get_option('youtube_widget_code'); ?>&hl=en&fs=1&rel=0&border=0" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="<?php echo get_option('youtube_widget_width'); ?>" height="<?php echo get_option('youtube_widget_height'); ?>"></embed>
</object>

<?php
echo $after_widget; 
}

function youtube_widget_control() {

	if (!empty($_REQUEST['youtube_widget_title'])) {
		update_option('youtube_widget_title', $_REQUEST['youtube_widget_title']);
	}

	if (!empty($_REQUEST['youtube_widget_code'])) {
		update_option('youtube_widget_code', $_REQUEST['youtube_widget_code']);
	}
	
	if (!empty($_REQUEST['youtube_widget_width'])) {
		update_option('youtube_widget_width', $_REQUEST['youtube_widget_width']);
	}
	
	if (!empty($_REQUEST['youtube_widget_height'])) {
		update_option('youtube_widget_height', $_REQUEST['youtube_widget_height']);
	}
?>

<?php _e("Заголовок виджета","youtube-player-widget");?><br><input type="text" name="youtube_widget_title" value="<?php echo get_option('youtube_widget_title'); ?>" /><br>
<?php _e("Код видео","youtube-player-widget");?> <small>(<?php _e("пример","youtube-player-widget");?> BgyWc-oBrXs )</small><br><input type="text" name="youtube_widget_code" value="<?php echo get_option('youtube_widget_code'); ?>" /><br>
<?php _e("Ширина","youtube-player-widget");?> <small>(<?php _e("только цифры","youtube-player-widget");?>)</small><br><input type="text" name="youtube_widget_width" value="<?php echo get_option('youtube_widget_width'); ?>" /><br>
<?php _e("Высота","youtube-player-widget");?> <small>(<?php _e("только цифры","youtube-player-widget");?>)</small><br><input type="text" name="youtube_widget_height" value="<?php echo get_option('youtube_widget_height'); ?>" /><br>
<a href="http://www.TTWeb.ru" target="_blank"><img src="/wp-content/plugins/youtube-player-widget/ttweb.png" style="display:block; margin-left:auto; margin-right:auto;"></a>
<?php _e("Студия TTWeb","youtube-player-widget");?><br>
<?php _e("Создание и проджвижение сайтов","youtube-player-widget");?><br>
<?php _e("Разработка дизайна сайтов, логотипов, визиток, и пр.","youtube-player-widget");?><br>
<?php _e("Разработка и перевод плагинов","youtube-player-widget");?><br>
<a href="http://www.TTWeb.ru" target="_blank">http://www.TTWeb.ru</a>
<hr>

<?php
}

function register_youtube_widget() {
	register_sidebar_widget('YouTube Player', 'youtube_widget');
	register_widget_control('YouTube Player', 'youtube_widget_control' );
}

add_action('init', 'register_youtube_widget');
?>